<?php
if ((!isset($_SESSION['jezyk'])) || (!isset($_GET['jezyk']))) {
  $_SESSION['jezyk'] = "pl";
  $jezykBiezacy = "pl";
} else {
  $jezykBiezacy = $_GET['jezyk'];
  $_SESSION['jezyk'] = $jezykBiezacy;
}

switch($jezykBiezacy) {
  case "en":
    define("ZESTAWZNAKOW","ISO-8859-1");
    define("KODJEZYKA", "en");
  break;

  case "ja":
    define("ZESTAWZNAKOW","UTF-8");
    define("KODJEZYKA", "ja");
  break;

  case "pl":
    define("ZESTAWZNAKOW","UTF-8");
    define("KODJEZYKA", "pl");
  break;

  default:
    define("ZESTAWZNAKOW","UTF-8");
    define("KODJEZYKA", "pl");
  break;
}

header("Content-Type: text/html;charset=".ZESTAWZNAKOW);
header("Content-Language: ".KODJEZYKA);
?>
